<script setup>
import { useKhronosStore } from "@/store";
import { storeToRefs } from "pinia";
import { ref } from "vue";

const store = useKhronosStore();
const { availableTokens } = storeToRefs(store);

const emit = defineEmits(["tokenMintSelected"]);

const show = ref(false);

const getTokenImage = (mint) => {
  console.log(mint);
  return "https://sdk.raydium.io/icons/" + "9n4nbM75f5Ui33ZbPYXn59EwSgE8CGsHtAeTH5YFeJ9E.png"; //+ mint + ".png";
};

const showDropDown = () => {
  show.value = true;
};

const hideDropDown = () => {
  show.value = false;
};

const selectedToken = ref("");
const selectToken = (mint) => {
  selectedToken.value = mint;
  emit("tokenMintSelected", mint);
  hideDropDown();
};
</script>

<template>
  <div :class="{ dropdown: show, dropdown_hidden: !show }">
    <button class="btn btn-secondary" @click="showDropDown">Select token</button>
    <div class="dropdown-content">
      <ul>
        <li
          v-for="(token, index) in availableTokens"
          :key="index"
          @click="selectToken(token)"
          :class="{ selected: token == selectedToken }"
        >
          <img :src="getTokenImage(token)" />
          <p>{{ token }}</p>
        </li>
      </ul>
    </div>
  </div>
</template>

<style scoped>
.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  padding: 12px 16px;
  z-index: 1;
}

.dropdown-content ul {
  list-style-type: none;
}

.dropdown-content li {
  display: flex;
}

.dropdown-content li img {
  height: 50px;
}

.img {
  width: 50px;
}

.dropdown .dropdown-content {
  display: block;
}

.dropdown_hidden .dropdown-content {
  display: none;
}

.selected {
  background-color: rgba(100, 0, 0, 0.5);
}
</style>